Skip to main content
POST
/
chat
/
message
Send a chat message
curl --request POST \
  --url https://app.freyavoice.ai/api/v2/chat/message \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "message": "<string>",
  "callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customerVariables": {},
  "versionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "fromMessageId": "<string>"
}
'
{
  "success": true,
  "data": {
    "message": "<string>",
    "result": {
      "response": "<string>",
      "callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "messageId": "<string>",
      "warning": "<string>",
      "endedByAgent": true
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
message
string
required
Required string length: 1 - 10000
callId
string<uuid>
agentId
string<uuid>
workflowId
string<uuid>
customerVariables
object
versionId
string<uuid>
fromMessageId
string

Response

Agent reply

success
enum<boolean>
required
Available options:
true
data
object
required